#include <SPI.h>
#include <Ethernet.h>

// hálózati konfiguráció, átjáró és alhálózat opcionális

// fizikai cím
byte mac[] = { 
  0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };  
// IP-cím
byte ip[] = { 
  10, 0, 0, 177 };    
// általában a router címe
byte gateway[] = { 
  10, 0, 0, 1 };
// alhálózat, ha nem az alapállapot
byte subnet[] = { 
  255, 255, 0, 0 };

// telnet portja a 23
EthernetServer server = EthernetServer(23);

void setup()
{
  // ethernet inicializálása
  Ethernet.begin(mac, ip, gateway, subnet);

  // szóljunk a szervernek, hogy figyeljen
  server.begin();
}

void loop()
{
  // ha egy kliens kapcsolódik, akkor lesznek elérhető bájtok:
  EthernetClient client = server.available();
  if (client == true) {
    // olvassuk ki ezeket a bájtokat és küldjük őket vissza
    // minden kliensnek, aki kapcsolódott
    server.write(client.read());
  }
}


